# vim: set sw=4 ts=4 et nu:

Name:               libbluray
Version:            0+20110223
%define pkg_version 20110223
%define soname 0
Release:            0.pm.2.3
Summary:            Blu-Ray Disc Playback Library
# git://git.videolan.org/libbluray.git
Source:             libbluray-%{pkg_version}-b33b0fc2cfe40a5d1d26c108fc7affe3a0e3bc8b.tar.bz2
URL:                http://www.videolan.org/developers/libbluray.html
Group:              System/Libraries
License:            GNU Lesser General Public License version 2.1 or later (LGPL v2.1 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      libxml2-devel
BuildRequires:      java-devel
BuildRequires:      autoconf automake libtool

%description
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

Note that most commercial Blu-Ray are protected by AACS or BD+ technologies and
this library is not enough to playback those discs.

%package -n %{name}%{soname}
Summary:            Blu-Ray Disc Playback Library
Group:              System/Libraries

%description -n %{name}%{soname}
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

Note that most commercial Blu-Ray are protected by AACS or BD+ technologies and
this library is not enough to playback those discs.

%package devel
Summary:            Blu-Ray Disc Playback Library Development Environment
Group:              Development/Libraries/C and C++
Requires:           %{name}%{soname} = %{version}

%description devel
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

This package contains the environment to build applications and libraries that
use libbluray.

%prep
%setup -q -n "%{name}"

%build
[ -e ./configure ] || NOCONFIGURE=1 autoreconf -fiv

%configure \
    --disable-doxygen-doc \
    --with-dlopen-crypto-libs \
    --with-jdk="%{java_home}"

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%__rm -f "%{buildroot}%{_libdir}"/*.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n %{name}%{soname} -p /sbin/ldconfig
%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(-,root,root)
%{_libdir}/libbluray.so.%{soname}
%{_libdir}/libbluray.so.%{soname}.*

%files devel
%defattr(-,root,root)
%{_includedir}/libbluray
%{_libdir}/libbluray.so
%{_libdir}/libbluray.a
%{_libdir}/pkgconfig/libbluray.pc

%changelog
* Mon Feb 28 2011 pascal.bleser@opensuse.org
- initial version (20110223)
